This job view page is being replaced by Spyglass soon. Check out the new job view.
PRandyzhangx: test: add github action
ResultFAILURE
Tests 0 failed / 0 succeeded
Started2020-09-11 14:38
Elapsed11m34s
Revisionb938d1f792fa5ab41762e1d627fe16e69e130a94
Refs 236

No Test Failures!


Error lines from build-log.txt

... skipping 161 lines ...
pod/tiller-deploy-78f484dbbd-hkcmm condition met
helm version
Client: &version.Version{SemVer:"v2.11.0", GitCommit:"2e55dbe1fdb5fdb96b75ff144a339489417b146b", GitTreeState:"clean"}
Server: &version.Version{SemVer:"v2.13.1", GitCommit:"618447cbf203d147601b4b9bd7f8c37a5d39fbb4", GitTreeState:"clean"}
# Only build and push the image if it does not exist in the registry
docker pull k8sprow.azurecr.io/blob-csi:e2e-b1f7add5c1d795cfc286e6cfc0c815f844bcda19 || make blob-container push
Error response from daemon: manifest for k8sprow.azurecr.io/blob-csi:e2e-b1f7add5c1d795cfc286e6cfc0c815f844bcda19 not found: manifest unknown: manifest tagged by "e2e-b1f7add5c1d795cfc286e6cfc0c815f844bcda19" is not found
make[2]: Entering directory '/home/prow/go/src/sigs.k8s.io/blob-csi-driver'
docker buildx rm container-builder || true
no builder "container-builder" found
docker buildx create --use --name=container-builder
container-builder
docker buildx build --no-cache --build-arg LDFLAGS="-X sigs.k8s.io/blob-csi-driver/pkg/blob.driverVersion=e2e-b1f7add5c1d795cfc286e6cfc0c815f844bcda19 -X sigs.k8s.io/blob-csi-driver/pkg/blob.gitCommit=b1f7add5c1d795cfc286e6cfc0c815f844bcda19 -X sigs.k8s.io/blob-csi-driver/pkg/blob.buildDate=2020-09-11T14:43:03Z -s -w -extldflags '-static'" -t k8sprow.azurecr.io/blob-csi:e2e-b1f7add5c1d795cfc286e6cfc0c815f844bcda19 -f ./pkg/blobplugin/Dockerfile --platform="linux/amd64" --push .
... skipping 273 lines ...
#13 5.906 Building dependency tree...
#13 6.078 Reading state information...
#13 6.247 The following additional packages will be installed:
#13 6.247   cmake-data libarchive13 libblkid1 libc-dev-bin libc6-dev libcom-err2
#13 6.247   libcurl3-gnutls libcurl4 libdpkg-perl libevent-2.1-6 libexpat1 libfuse2
#13 6.248   libgdbm-compat4 libgdbm6 libglib2.0-0 libgmp-dev libgmpxx4ldbl
#13 6.248   libgnutls-dane0 libgnutls-openssl27 libgnutlsxx28 libgpg-error-dev
#13 6.248   libgssapi-krb5-2 libicu63 libidn2-dev libjsoncpp1 libk5crypto3 libkeyutils1
#13 6.248   libkrb5-3 libkrb5support0 libldap-2.4-2 libldap-common libmount1 libncurses6
#13 6.248   libncursesw6 libnghttp2-14 libp11-kit-dev libpcre16-3 libpcre2-8-0
#13 6.248   libpcre3-dev libpcre32-3 libpcrecpp0v5 libperl5.28 libprocps7 libpsl5
#13 6.248   librhash0 librtmp1 libsasl2-2 libsasl2-modules-db libselinux1-dev
#13 6.248   libsepol1-dev libssh2-1 libssl1.1 libtasn1-6-dev libtinfo6 libunbound8
... skipping 15 lines ...
#13 6.902 The following NEW packages will be installed:
#13 6.902   ca-certificates cmake cmake-data libarchive13 libblkid1 libc-dev-bin
#13 6.902   libc6-dev libcom-err2 libcurl3-gnutls libcurl4 libcurl4-gnutls-dev
#13 6.903   libdpkg-perl libevent-2.1-6 libexpat1 libfuse-dev libfuse2 libgcrypt20-dev
#13 6.903   libgdbm-compat4 libgdbm6 libglib2.0-0 libgmp-dev libgmpxx4ldbl
#13 6.903   libgnutls-dane0 libgnutls-openssl27 libgnutls28-dev libgnutlsxx28
#13 6.903   libgpg-error-dev libgssapi-krb5-2 libicu63 libidn2-dev libjsoncpp1
#13 6.903   libk5crypto3 libkeyutils1 libkrb5-3 libkrb5support0 libldap-2.4-2
#13 6.903   libldap-common libmount1 libncurses6 libncursesw6 libnghttp2-14
#13 6.903   libp11-kit-dev libpcre16-3 libpcre2-8-0 libpcre3-dev libpcre32-3
#13 6.903   libpcrecpp0v5 libperl5.28 libprocps7 libpsl5 librhash0 librtmp1 libsasl2-2
#13 6.903   libsasl2-modules-db libselinux1-dev libsepol1-dev libssh2-1 libssl1.1
#13 6.904   libtasn1-6-dev libtinfo6 libunbound8 libuuid1 libuv1 libxml2 linux-libc-dev
... skipping 56 lines ...
#13 7.789 Get:52 http://deb.debian.org/debian buster/main amd64 libpcre16-3 amd64 2:8.39-12 [259 kB]
#13 7.792 Get:53 http://deb.debian.org/debian buster/main amd64 libpcre32-3 amd64 2:8.39-12 [250 kB]
#13 7.796 Get:54 http://deb.debian.org/debian buster/main amd64 libpcrecpp0v5 amd64 2:8.39-12 [152 kB]
#13 7.798 Get:55 http://deb.debian.org/debian buster/main amd64 libpcre3-dev amd64 2:8.39-12 [650 kB]
#13 7.806 Get:56 http://deb.debian.org/debian buster/main amd64 libselinux1-dev amd64 2.8-1+b1 [169 kB]
#13 7.809 Get:57 http://deb.debian.org/debian buster/main amd64 libfuse-dev amd64 2.9.9-1+deb10u1 [152 kB]
#13 7.811 Get:58 http://deb.debian.org/debian buster/main amd64 libgpg-error-dev amd64 1.35-1 [124 kB]
#13 7.813 Get:59 http://deb.debian.org/debian buster/main amd64 libgcrypt20-dev amd64 1.8.4-5 [608 kB]
#13 7.820 Get:60 http://deb.debian.org/debian buster/main amd64 libmount1 amd64 2.33.1-0.1 [207 kB]
#13 7.823 Get:61 http://deb.debian.org/debian buster/main amd64 libglib2.0-0 amd64 2.58.3-2+deb10u2 [1258 kB]
#13 7.838 Get:62 http://deb.debian.org/debian buster/main amd64 libgmpxx4ldbl amd64 2:6.1.2+dfsg-4 [22.9 kB]
#13 7.839 Get:63 http://deb.debian.org/debian buster/main amd64 libgmp-dev amd64 2:6.1.2+dfsg-4 [628 kB]
#13 7.848 Get:64 http://deb.debian.org/debian buster/main amd64 libunbound8 amd64 1.9.0-2+deb10u2 [462 kB]
... skipping 178 lines ...
#13 15.78 Selecting previously unselected package libselinux1-dev:amd64.
#13 15.78 Preparing to unpack .../55-libselinux1-dev_2.8-1+b1_amd64.deb ...
#13 15.79 Unpacking libselinux1-dev:amd64 (2.8-1+b1) ...
#13 15.84 Selecting previously unselected package libfuse-dev.
#13 15.85 Preparing to unpack .../56-libfuse-dev_2.9.9-1+deb10u1_amd64.deb ...
#13 15.85 Unpacking libfuse-dev (2.9.9-1+deb10u1) ...
#13 15.90 Selecting previously unselected package libgpg-error-dev.

#13 15.90 Preparing to unpack .../57-libgpg-error-dev_1.35-1_amd64.deb ...

#13 15.91 Unpacking libgpg-error-dev (1.35-1) ...

#13 15.96 Selecting previously unselected package libgcrypt20-dev.
#13 15.96 Preparing to unpack .../58-libgcrypt20-dev_1.8.4-5_amd64.deb ...
#13 15.97 Unpacking libgcrypt20-dev (1.8.4-5) ...
#13 16.07 Selecting previously unselected package libmount1:amd64.
#13 16.07 Preparing to unpack .../59-libmount1_2.33.1-0.1_amd64.deb ...
#13 16.08 Unpacking libmount1:amd64 (2.33.1-0.1) ...
... skipping 60 lines ...
#13 17.60 Setting up libldap-common (2.4.47+dfsg-3+deb10u2) ...
#13 17.61 Setting up libicu63:amd64 (63.1-6+deb10u1) ...
#13 17.63 Setting up libkrb5support0:amd64 (1.17-3) ...
#13 17.64 Setting up libsasl2-modules-db:amd64 (2.1.27+dfsg-1+deb10u1) ...
#13 17.65 Setting up libgmpxx4ldbl:amd64 (2:6.1.2+dfsg-4) ...
#13 17.66 Setting up libuv1:amd64 (1.24.1-1) ...
#13 17.67 Setting up libgpg-error-dev (1.35-1) ...

#13 17.68 Setting up librtmp1:amd64 (2.4+20151223.gitfa8646d.1-2) ...
#13 17.70 Setting up libpcre32-3:amd64 (2:8.39-12) ...
#13 17.71 Setting up libuuid1:amd64 (2.33.1-0.1) ...
#13 17.72 Setting up libgnutlsxx28:amd64 (3.6.7-4+deb10u5) ...
#13 17.73 Setting up libpcre2-8-0:amd64 (10.32-5) ...
#13 17.74 Setting up libk5crypto3:amd64 (1.17-3) ...
... skipping 392 lines ...
#16 9.869 Setting up libpython-stdlib:amd64 (2.7.16-1) ...
#16 9.890 Setting up python (2.7.16-1) ...
#16 9.915 Setting up libdevmapper1.02.1:amd64 (2:1.02.155-3) ...
#16 9.933 Setting up dmsetup (2:1.02.155-3) ...
#16 9.950 Setting up nfs-common (1:1.3.4-2.5+deb10u1) ...
#16 9.976 /var/lib/dpkg/info/nfs-common.postinst: 7: /var/lib/dpkg/info/nfs-common.postinst: ucf: not found
#16 9.977 dpkg: error processing package nfs-common (--configure):

#16 9.977  installed nfs-common package post-installation script subprocess returned error exit status 127

#16 9.977 dpkg: dependency problems prevent configuration of nfs-kernel-server:
#16 9.977  nfs-kernel-server depends on nfs-common (= 1:1.3.4-2.5+deb10u1); however:
#16 9.977   Package nfs-common is not configured yet.
#16 9.977 
#16 9.977 dpkg: error processing package nfs-kernel-server (--configure):

#16 9.977  dependency problems - leaving unconfigured
#16 9.978 Processing triggers for libc-bin (2.28-10) ...
#16 10.01 Errors were encountered while processing:
#16 10.01  nfs-common
#16 10.01  nfs-kernel-server
#16 10.04 E: Sub-process /usr/bin/dpkg returned an error code (1)
#16 DONE 10.2s

#17 exporting to image
#17 exporting layers
#17 exporting layers 11.8s done
#17 exporting manifest sha256:753f8e10207edf2cb1c57df3811c759e0e51a74b46adc0740fa6a491a15a7f5c 0.0s done
... skipping 104 lines ...
Git Commit: N/A
Go Version: go1.15
Platform: linux/amd64

Streaming logs below:
STEP: Building a namespace api object, basename blob
W0911 14:46:17.574601   12587 azure_config.go:52] Failed to get cloud-config from secret: failed to get secret azure-cloud-provider: secrets "azure-cloud-provider" not found, skip initializing from secret
I0911 14:46:17.575363   12587 blob.go:102] disable UseInstanceMetadata for controller
I0911 14:46:17.575717   12587 driver.go:80] Enabling controller service capability: CREATE_DELETE_VOLUME
I0911 14:46:17.575738   12587 driver.go:99] Enabling volume access mode: SINGLE_NODE_WRITER
I0911 14:46:17.575744   12587 driver.go:99] Enabling volume access mode: SINGLE_NODE_READER_ONLY
I0911 14:46:17.575750   12587 driver.go:99] Enabling volume access mode: MULTI_NODE_READER_ONLY
I0911 14:46:17.575754   12587 driver.go:99] Enabling volume access mode: MULTI_NODE_SINGLE_WRITER
... skipping 31 lines ...
Sep 11 14:46:47.072: INFO: PersistentVolumeClaim pvc-wl8zt found but phase is Pending instead of Bound.
Sep 11 14:46:49.108: INFO: PersistentVolumeClaim pvc-wl8zt found and phase=Bound (30.579351326s)
STEP: checking the PVC
STEP: validating provisioned PV
STEP: checking the PV
STEP: deploying the pod
STEP: checking that the pods command exits with no error
Sep 11 14:46:49.218: INFO: Waiting up to 15m0s for pod "blob-volume-tester-xhd64" in namespace "blob-8047" to be "Succeeded or Failed"
Sep 11 14:46:49.253: INFO: Pod "blob-volume-tester-xhd64": Phase="Pending", Reason="", readiness=false. Elapsed: 34.663345ms
Sep 11 14:46:51.293: INFO: Pod "blob-volume-tester-xhd64": Phase="Pending", Reason="", readiness=false. Elapsed: 2.07541698s
Sep 11 14:46:53.329: INFO: Pod "blob-volume-tester-xhd64": Phase="Succeeded", Reason="", readiness=false. Elapsed: 4.111455912s
STEP: Saw pod success
Sep 11 14:46:53.329: INFO: Pod "blob-volume-tester-xhd64" satisfied condition "Succeeded or Failed"
Sep 11 14:46:53.329: INFO: deleting Pod "blob-8047"/"blob-volume-tester-xhd64"
Sep 11 14:46:53.424: INFO: Pod blob-volume-tester-xhd64 has the following logs: hello world

STEP: Deleting pod blob-volume-tester-xhd64 in namespace blob-8047
Sep 11 14:46:53.465: INFO: deleting PVC "blob-8047"/"pvc-wl8zt"
Sep 11 14:46:53.465: INFO: Deleting PersistentVolumeClaim "pvc-wl8zt"
... skipping 114 lines ...
Sep 11 14:49:01.867: INFO: PersistentVolumeClaim pvc-4tkm9 found but phase is Pending instead of Bound.
Sep 11 14:49:03.903: INFO: PersistentVolumeClaim pvc-4tkm9 found and phase=Bound (20.392396713s)
STEP: checking the PVC
STEP: validating provisioned PV
STEP: checking the PV
STEP: deploying the pod
STEP: checking that the pods command exits with an error
Sep 11 14:49:04.019: INFO: Waiting up to 15m0s for pod "blob-volume-tester-9d9m9" in namespace "blob-5026" to be "Error status code"
Sep 11 14:49:04.056: INFO: Pod "blob-volume-tester-9d9m9": Phase="Pending", Reason="", readiness=false. Elapsed: 36.921021ms
Sep 11 14:49:06.091: INFO: Pod "blob-volume-tester-9d9m9": Phase="Failed", Reason="", readiness=false. Elapsed: 2.072114113s
STEP: Saw pod failure
Sep 11 14:49:06.091: INFO: Pod "blob-volume-tester-9d9m9" satisfied condition "Error status code"
STEP: checking that pod logs contain expected message
Sep 11 14:49:06.180: INFO: deleting Pod "blob-5026"/"blob-volume-tester-9d9m9"
Sep 11 14:49:06.219: INFO: Pod blob-volume-tester-9d9m9 has the following logs: touch: /mnt/test-1/data: Read-only file system

STEP: Deleting pod blob-volume-tester-9d9m9 in namespace blob-5026
Sep 11 14:49:06.259: INFO: deleting PVC "blob-5026"/"pvc-4tkm9"
... skipping 75 lines ...